secret_detection:
  image: node:slim
  stage: security
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
    - if: $CI_MERGE_REQUEST_IID
  artifacts:
    reports:
      secret_detection: gl-secret-detection-report.json
    paths: 
      - gl-secret-detection-report.json # keep the report
  script: |
    if [ -z "$CI_MERGE_REQUEST_IID" ]
    then
      echo "{}" > gl-secret-detection-report.json
    else
      # this is a merge request
      node ./.ci/secrets.js
    fi
    
